Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.taglibs.xtags
Class SearchCellTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.ejie.r01f.taglibs.xtags.SearchCellTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class SearchCellTag
extends javax.servlet.jsp.tagext.TagSupport

Celda de una lista de resultados de busqueda El tag tendra la forma: Cada una de las celdas (searchCell) ha de registrarse en el padre (searchRow) que a su vez se registra en su padre (search), de forma que no se puede componer el html hasta que no se cierra la raiz (search)

See Also:
  Serialized Form

Field Summary

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`SearchCellTag()` Constructor vacio

Method Summary
`int` | `doEndTag()` Process the end of this tag.
`int` | `doStartTag()` Process the start of this tag.
`int` | `getColspan()` Devuelve el colspan de la celda
`java.lang.String` | `getHeader()` Devuelve el texto a mostrar en la primera linea de cabecera para esta celda
`java.lang.String` | `getHeaderStyle()` Devuelve el estilo de la primera linea de cabecera para esta celda
`java.lang.String` | `getHeaderStyleClass()` Devuelve la clase de la hoja de estilo para la primera linea de cabecera para esta celda
`java.lang.String` | `getHref()` Devuelve el enlace a mostrar en la celda
`java.lang.String` | `getSrc()` Devuelve el origen del resultado de la celda.
`java.lang.String` | `getStyle()` Devuelve el estilo de esta celda
`java.lang.String` | `getStyleClass()` Devuelve el nombre de la clase en la hoja de estilo para esta celda
`java.lang.String` | `getWidth()` Devuelve el ancho de la celda
`void` | `release()` Release any acquired resources.
`void` | `setColspan(int x)` Establece el colspan de la celda
`void` | `setHeader(java.lang.String x)` Establece el texto a mostrar en la primera linea de cabecera para esta celda
`void` | `setHeaderStyle(java.lang.String x)` Establece el estilo de la primera linea de cabecera para esta celda
`void` | `setHeaderStyleClass(java.lang.String x)` Establece la clase de la hoja de estilo para la primera linea de cabecera para esta celda
`void` | `setHref(java.lang.String x)` Establece el enlace de la celda
`void` | `setSrc(java.lang.String x)` Devuelve el origen del dato mostrado en la celda La celda muestra el dato del objeto buscador indexado con el origen especificado en esta propiedad
`void` | `setStyle(java.lang.String x)` Establece el texto con el estilo de esta celda
`void` | `setStyleClass(java.lang.String x)` Establece el nombre de la clase en la hoja de estilo para esta celda
`void` | `setWidth(java.lang.String x)` Establece el ancho de la celda

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SearchCellTag

    public SearchCellTag()

  Constructor vacio

Method Detail

### release

    public void release()

  Release any acquired resources.

### doStartTag

    public int doStartTag()

  Process the start of this tag. The default implementation does nothing.

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Process the end of this tag. The default implementation does nothing.

  Throws:
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

### getSrc

    public java.lang.String getSrc()

  Devuelve el origen del resultado de la celda. La celda muestra el dato del objeto buscador indexado con el origen especificado en esta propiedad

  Returns:
    el parametro origen del resultado de la celda

### setSrc

    public void setSrc(java.lang.String x)

  Devuelve el origen del dato mostrado en la celda La celda muestra el dato del objeto buscador indexado con el origen especificado en esta propiedad

  Parameters:
    `x` - el origen (indice)

### getHref

    public java.lang.String getHref()

  Devuelve el enlace a mostrar en la celda

### setHref

    public void setHref(java.lang.String x)

  Establece el enlace de la celda

  Parameters:
    `x` - el href de la celda

### getHeader

    public java.lang.String getHeader()

  Devuelve el texto a mostrar en la primera linea de cabecera para esta celda

  Returns:
    la cabecera de las celdas

### setHeader

    public void setHeader(java.lang.String x)

  Establece el texto a mostrar en la primera linea de cabecera para esta celda

  Parameters:
    `x` - El texto a mostrar en la primera linea de cabecera

### getHeaderStyle

    public java.lang.String getHeaderStyle()

  Devuelve el estilo de la primera linea de cabecera para esta celda

  Returns:
    el texto con el estilo

### setHeaderStyle

    public void setHeaderStyle(java.lang.String x)

  Establece el estilo de la primera linea de cabecera para esta celda

  Parameters:
    `x` - el texto con el estilo

### getHeaderStyleClass

    public java.lang.String getHeaderStyleClass()

  Devuelve la clase de la hoja de estilo para la primera linea de cabecera para esta celda

  Returns:
    el nombre del estilo

### setHeaderStyleClass

    public void setHeaderStyleClass(java.lang.String x)

  Establece la clase de la hoja de estilo para la primera linea de cabecera para esta celda

  Parameters:
    `x` - el nombre del estilo

### getStyle

    public java.lang.String getStyle()

  Devuelve el estilo de esta celda

  Returns:
    el texto con el estilo

### setStyle

    public void setStyle(java.lang.String x)

  Establece el texto con el estilo de esta celda

  Parameters:
    `x` - el texto con el estilo

### getStyleClass

    public java.lang.String getStyleClass()

  Devuelve el nombre de la clase en la hoja de estilo para esta celda

  Returns:
    el nombre de la clase

### setStyleClass

    public void setStyleClass(java.lang.String x)

  Establece el nombre de la clase en la hoja de estilo para esta celda

  Parameters:
    `x` - en nombre de la clase

### getWidth

    public java.lang.String getWidth()

  Devuelve el ancho de la celda

  Returns:
    el ancho de la celda (incluidas las unidades)

### setWidth

    public void setWidth(java.lang.String x)

  Establece el ancho de la celda

  Parameters:
    `x` - el ancho de la celda (incluidas las unidades)

### getColspan

    public int getColspan()

  Devuelve el colspan de la celda

  Returns:
    el colspan

### setColspan

    public void setColspan(int x)

  Establece el colspan de la celda

  Parameters:
    `x` - el colspan

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD